libnvme(2)

NAME
struct nvme_capacity_mgmt_args - Arguments for the NVMe Capacity Management command

SYNOPSIS
struct nvme_capacity_mgmt_args {
__u32 *result;
int args_size;
int fd;
__u32 timeout;
__u32 cdw11;
__u32 cdw12;
__u16 element_id;
__u8 op;
};

Members

result
    If successful, the CQE dword0 value

args_size
    Size of struct nvme_capacity_mgmt_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

cdw11
    Least significant 32 bits of the capacity in bytes of the Endurance Group or NVM Set to be created

cdw12
    Most significant 32 bits of the capacity in bytes of the Endurance Group or NVM Set to be created

element_id
    Value specific to the value of the Operation field

op  Operation to be performed by the controller